POST
/pages/permission-infoGet the caller's effective access to a page
Retrieves the authenticated user's effective access and restriction information for a page. Supply pageId to identify the page whose access flags you need.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Page identifier for retrieving effective access and restriction information.
pageIdstringrequired
Page identifier (UUID or slug ID).
200Returns the page's restriction information and effective access flags in the response data.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when access to the page's restriction information is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the page is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when access to the page's restriction information is forbidden. A 404 is returned when the page is not found. The pageId field must identify an existing page.